[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'ActnList' (#lcl)

# TCustomAction.SetImageIndex

Sets the value for the ImageIndex property.

## Declaration

Source position: actnlist.pas line 187

`protected procedure TCustomAction.SetImageIndex(`
`Value: TImageIndex`
`); virtual;`

## Arguments

`Value` |  | New value for the HelpType property.

## Version info

Modified in LCL version 4.0 to improve compatibility with newer Delphi VCL versions; redefined as virtual and changed to protected visibility.

## See also

TCustomAction.ImageIndex |  | ImageIndex - the index number of the image to be associated with this action.
TActionLink |  | A link between an action and a client class.
TBasicAction